;/*
   F_Create.rexx LIB Feelin:LIBS/Feelin/Text.fc 4 0
   QUIT
   ________________________________________________________________________

   (04.00) 2003/08/20

   [NEW] FA_Text_SetMin is now  obsolete.  Use  FA_SetMin  with  FV_SetVMin
   instead.

*/

#include "Private.h"

struct FeelinBase                  *FeelinBase;

///METHODS
F_METHOD(void,Text_New);
F_METHOD(void,Text_Dispose);
F_METHOD(void,Text_Set);
F_METHOD(void,Text_Get);
F_METHOD(void,Text_Setup);
F_METHOD(void,Text_Cleanup);
F_METHOD(void,Text_AskMinMax);
F_METHOD(void,Text_Draw);
//+

F_QUERY()
{
   FeelinBase = Feelin;

   switch (Which)
   {
      case FV_Query_ClassTags:
      {
         static struct FeelinMethodEntry Handlers[] =
         {
            (FMethod) Text_New,         NULL, FM_New,
            (FMethod) Text_Dispose,     NULL, FM_Dispose,
            (FMethod) Text_Get,         NULL, FM_Get,
            (FMethod) Text_Set,         NULL, FM_Set,

            (FMethod) Text_Setup,       NULL, FM_Setup,
            (FMethod) Text_Cleanup,       NULL, FM_Cleanup,
            (FMethod) Text_AskMinMax,   NULL, FM_AskMinMax,
            (FMethod) Text_Draw,        NULL, FM_Draw,

             NULL
         };

         static struct TagItem Tags[] =
         {
            FA_Class_Super,            (ULONG) FC_Area,
            FA_Class_LODSize,          (ULONG) sizeof (struct LocalObjectData),
            FA_Class_MethodsTable,     (ULONG) Handlers,

            TAG_DONE
         };

         return Tags;
      }
   }
   return NULL;
}
